/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : inituart_timer.h
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>
#define uint unsigned int
#define uchar unsigned char
#define LED1   P1_0	        //LED1ΪP10ڿ
#define LED2   P1_1	        //LED2ΪP11ڿ
#define LED3   P1_4	        //LED3ΪP14ڿ
// Data
typedef unsigned char       BYTE;

// Unsigned numbers
typedef unsigned char       UINT8;
typedef unsigned char       INT8U;
typedef unsigned short      UINT16;
typedef unsigned short      INT16U;
typedef unsigned long       UINT32;
typedef unsigned long       INT32U;

// Signed numbers
typedef signed char         INT8;
typedef signed short        INT16;
typedef signed long         INT32;

#define DISABLE_ALL_INTERRUPTS() (IEN0 = IEN1 = IEN2 = 0x00)//

/*******************************************************************************
* Function Name  : InitClock
* Description    : Initializes the system clock
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void InitClock(void)
{   
    CLKCONCMD &= ~0x40; // ϵͳʱԴΪ 32MHZ
    while(CLKCONSTA & 0x40);                     // ȴȶ 
    CLKCONCMD &= ~0x47;                          // ϵͳʱƵΪ 32MHZ
}
/*******************************************************************************
* Function Name  : InitLed
* Description    : Initializes the LED
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void InitLed(void)
{
	P1DIR |= 0x13; //P1_0P1_1Ϊ
	LED1 = 0;       //LED1Ϩ
        LED2 = 0;    
        LED3 = 0;
}
/*******************************************************************************
* Function Name  : InitT3
* Description    : Initializes the timer
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void InitT3(void)
{
  T3CCTL0 = 0X44;        // T3CCTL0 (0xCC)CH0 жʹܣCH0 Ƚģʽ
  T3CC0 = 0xFA;          // T3CC0Ϊ250
  T3CTL |= 0x9A;         // T3ʱΪ16ƵʹMODULOģʽ
  IEN1 |= 0X08;     
  IEN0 |= 0X80;          //жϣT3ж
}
/*******************************************************************************
* Function Name  : InitUART0
* Description    : Initializes the UART0
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void InitUART0(void)
{
	PERCFG = 0x00;				 //λ1 P0
	P0SEL = 0x3c;				 //P0
	
	P2DIR &= ~0XC0;                           //P0ΪUART0    
        U0CSR |= 0x80;   	                  //ΪUARTʽ
        U0GCR |= 11;				
        U0BAUD |= 216;		                  //Ϊ19200

	UTX0IF = 1;                               //UART0 TXжϱ־ʼλ1  
        U0CSR |= 0X40;				  //
        IEN0 |= 0x84;				  //жϣж

}

/*******************************************************************************
* Function Name  : UartTX_Send_String
* Description    : 
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void UartTX_Send_String(char *Data,int len)
{
  int j;
  for(j=0;j<len;j++)
  {
    U0DBUF = *Data++;
    while(UTX0IF == 0);
    UTX0IF = 0;
  }
     U0DBUF = 0x0A;        // 
    while(UTX0IF == 0);
      UTX0IF = 0;
}


/*******************************************************************************
* Function Name  : Delay
* Description    : 
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void Delay(uint n)
{
	uint i;
	for(i=0;i<n;i++);
	for(i=0;i<n;i++);
	for(i=0;i<n;i++);
	for(i=0;i<n;i++);
	for(i=0;i<n;i++);
}

/*******************************************************************************
* Function Name  : Delay
* Description    : 
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void Delayms(uint xms)   //i=xms ʱi (16MʱԼ32MҪ޸ģϵͳ޸Ĭʹڲ16M)
{
 uint i,j;
 for(i=xms;i>0;i--)
   for(j=587;j>0;j--);
} 






