/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/
#include <ioCC2530.h>
#include "InitUART_Timer.h"  //Note that the option to set the path
#include "stdio.h"



/*******************************************************************************
* Function Name  : initTempSensor
* Description    : Temperature sensor initialization function
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void initTempSensor(void)
{ 
   DISABLE_ALL_INTERRUPTS();            //Close all interrupts 
   InitClock();                         //Set the system master clock: 32M 
   TR0=0X01;         //set '1' to connectthe temperature sensorto the SOC_ADC.
   ATEST=0X01;       // Enablesthe temperature sensor
}   



/*******************************************************************************
* Function Name  : getTemperature
* Description    : AD-valued function reads the temperature sensor
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
float getTemperature(void){ 
   
   uint  value; 
   ADCCON3  = (0x3E);                  //ѡ1.25VΪοѹ14λֱʣƬ¶ȴ
   ADCCON1 |= 0x30;                    //ѡADCģʽΪֶ
   ADCCON1 |= 0x40;                    //ADת  
   while(!(ADCCON1 & 0x80));          //ȴ AD ת 
   value =  ADCL >> 4;                //ADCL Ĵ 2 λЧ 
   value |= (((UINT16)ADCH) << 4);
   return (value-1367.5)/4.5-5;    // AD ֵʵʵ¶,оƬֲд¶ϵӦ4.5 /
                                   //¶Уȥ5棨ͬоƬݾУ
}


/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/

void main(void) 
{   
        char i; 
        char TempValue[8];  
        float AvgTemp;         
        InitUART0();                                    //ʼ 
        initTempSensor();                               //ʼ ADC 
        while(1) 
        { 
          AvgTemp = 0;          
          for(i = 0 ; i < 64 ; i++) 
          {    
            AvgTemp += getTemperature();  
            AvgTemp=AvgTemp/2;                  //ÿۼӺ 2 
          }
		  
		  
		  
		  
          /****¶תascii뷢****/
          TempValue[0] = (unsigned char)(AvgTemp)/10 + 48;          //ʮλ
          TempValue[1] = (unsigned char)(AvgTemp)%10 + 48;          //λ
          TempValue[2] = '.';                                       //С 
          TempValue[3] = (unsigned char)(AvgTemp*10)%10+48;         //ʮλ
          TempValue[4] = (unsigned char)(AvgTemp*100)%10+48;        //ٷλ
          TempValue[5] = '\r';                                   
          TempValue[6] = '\n';
          TempValue[7] = '\0';
	      UartTX_Send_String( "TempValue: ",11); 
          UartTX_Send_String( TempValue,8); 
          Delayms(2000); //ʹ32M񣬹2000Լ1S
        } 
}