#ifndef LCD22_H
#define LCD22_H


#include <ioCC2530.h>

#define  uint  unsigned int
#define  uchar unsigned char

#define LCD_RS_H()		P1_2 =1;
#define LCD_RS_L()		P1_2 =0;

#define LCD_CS_H()		P1_3 =1;
#define LCD_CS_L()		P1_3 =0;

#define TOUCH_nCS_H()		P0_0 =1;
#define TOUCH_nCS_L()		P0_0 =0;

#define Back_Light_H()		P0_5 =1;
#define Back_Light_L()		P0_5 =0;

#define DISP_ORIENTATION					0
//#define DISP_ORIENTATION					90
//#define DISP_ORIENTATION					180
//#define DISP_ORIENTATION					270

/* Private define ------------------------------------------------------------*/

#if  ( DISP_ORIENTATION == 90 ) || ( DISP_ORIENTATION == 270 )

#define  MAX_X  320	
#define  MAX_Y  240   

#elif  ( DISP_ORIENTATION == 0 ) || ( DISP_ORIENTATION == 180 )

#define  MAX_X  240	
#define  MAX_Y  320 

#endif

/* LCD color */
#define White          0xFFFF
#define Black          0x0000
#define Grey           0xF7DE
#define Blue           0x001F
#define Blue2          0x051F
#define Red            0xF800
#define Magenta        0xF81F
#define Green          0x07E0
#define Cyan           0x7FFF
#define Yellow         0xFFE0




void Delay_ms(uint n);
void SPI_Configuration(void);
unsigned char SPI1_Send_Data(unsigned char tx_data);

void LCD_Clear(unsigned int Color);
void LCD_Initializtion(void);


//void LCD_SetBacklight(unsigned char intensity);
unsigned int LCD_GetPoint(unsigned int Xpos,unsigned int Ypos);
void LCD_SetPoint(unsigned int Xpos,unsigned int Ypos,unsigned int point);
void PutChar(unsigned int Xpos,unsigned int Ypos,unsigned char c,unsigned int charColor,unsigned int bkColor);
void LCD_DrawLine( unsigned int x0, unsigned int y0, unsigned int x1, unsigned int y1 , unsigned int color );
void PutChinese(unsigned int Xpos,unsigned int Ypos,unsigned char *str,unsigned int Color,unsigned int bkColor); 
void GUI_Text(unsigned int Xpos, unsigned int Ypos, unsigned char *str,unsigned int Color, unsigned int bkColor);
void LCD_Drawcircle(unsigned int x0, unsigned int y0, unsigned int r, unsigned int color);
void DrawGrids(void);
void LCD_SetCursor( unsigned int Xpos, unsigned int Ypos );

 void LCD_WriteIndex(unsigned int index);
 void LCD_WriteData(unsigned int data);
 unsigned int LCD_ReadData(void);
 unsigned int LCD_ReadReg(unsigned int LCD_Reg);
 void LCD_WriteReg(unsigned int LCD_Reg,unsigned int LCD_RegValue);
static void LCD_SetCursor( unsigned int Xpos, unsigned int Ypos );



#endif
