#ifndef __TOUCHPANEL_H__
#define __TOUCHPANEL_H__

#include <ioCC2530.h>
#include "LCD22.h"


#define TP_INT_IN           P0_7


#define	CHX 	0x90
#define	CHY 	0xd0


typedef enum {DISABLE = 0, ENABLE = !DISABLE} FunctionalState;

/* Private typedef -----------------------------------------------------------*/
typedef	struct POINT 
{
   unsigned int x;
   unsigned int y;
}Coordinate;


/* Private variables ---------------------------------------------------------*/
extern Coordinate  display ;


unsigned long GetTouchADC (unsigned char data);
void TP_GetAdXY(unsigned int *x,unsigned int *y) ;
Coordinate *Read_Ads7846(void);
void TouchPanel_Calibrate(unsigned int charColor, unsigned int bkColor );
void DrawCross(unsigned int Xpos,unsigned int Ypos,unsigned int color);
void Touch_Debug(void);
void Color_Box( unsigned int Xpos,unsigned int Ypos, unsigned int X_Width, unsigned int Y_Width,unsigned int bkColor, unsigned int Stroke_Color );
void Disp_Touchpanel(void);


#endif 

